--
-- $Id$
--
-- Filterstatus reactie aanvrager ontvangen is in build 2019.1 gewijzigd, maar voor UBRH niet werkbaar (geen actieve FE's en moet met dit script weer teruggedraaid worden.

DEFINE thisfile = 'UBRH#57334.SQL'
DEFINE dbuser   = '^UBRH'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

/* Formatted on 31-1-2019 16:54:32 (QP5 v5.318) */
UPDATE mld_melding m
   SET m.mld_melding_flag = 2, m.mld_melding_actiecode = 1 --  Flag 2 is oorspronkelijke flag voor reactie aanvrager.   Actiecode=1 is default
 WHERE m.mld_melding_actiecode = 129 -- Actiecode 129 is de nieuwe substatus Attentie (kenmerk dat aanvrager reactie heeft gegegeven
;
            
------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
